Bug 139420 - mkfs.* files don't all work on new Logical Volumes
Summary: mkfs.* files don't all work on new Logical Volumes
Status: CLOSED NEXTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: device-mapper   
(Show other bugs)
Version: 4.0
Hardware: All Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Alasdair Kergon
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 143501
TreeView+ depends on / blocked
 
Reported: 2004-11-15 22:00 UTC by Jim Parsons
Modified: 2010-01-12 02:14 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-03 18:55:40 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jim Parsons 2004-11-15 22:00:32 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.2)
Gecko/20040301

Description of problem:
When making VFAT or MSDOS or JFS or REISER or XFS Filesystems on a
system that supports these types, the mkfs app returns an error
stating that it does not know the Drive Geometry. lvmguy confirmed this.

I know that these FS types are not supported in RHEL3, but I am unable
to find the proper OS version in the bugzilla create form :-( Hoping
this will at least keep track of this issue.

BTW, ext3 and ext2 both work fine.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.create LV
2.try and create one of the FS's above
3.
    

Additional info:

Comment 1 Alasdair Kergon 2004-12-21 17:13:24 UTC
So we probably ought to supply a fake geometry.

Comment 2 Alasdair Kergon 2006-08-03 18:55:40 UTC
An option is now available upstream to specify what drive geometry you want a
given dm device to return: dmsetup setgeometry.  If no geometry was supplied
zeros are returned, as per the man page.

In Fedora/RHEL5 but it has not been backported to RHEL4.



Note You need to log in before you can comment on or make changes to this bug.